Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dao
Class ServiceDAO

    java.lang.Object
      org.wso2.wsas.persistence.dao.BaseDAO
          org.wso2.wsas.persistence.dao.ServiceDAO

    public class ServiceDAO

extends BaseDAO

Data access object managing persistence operations related to axis services

Field Summary

Fields inherited from class org.wso2.wsas.persistence.dao.BaseDAO
`hbConfig`

Constructor Summary
`ServiceDAO(HibernateConfig hbConfig)`

Method Summary
`void` | `addOperation(java.lang.String serviceId, java.lang.String version, OperationDO op)`
`void` | `addParameter(java.lang.String serviceId, java.lang.String version, ServiceParameterDO param)`
`void` | `addPolicy(java.lang.String serviceId, java.lang.String version, ServicePolicyDO policy)`
`void` | `addRole(java.lang.String serviceId, java.lang.String version, ServiceUserRoleDO role)`
`void` | `addUser(java.lang.String serviceId, java.lang.String version, ServiceUserDO user)`
`void` | `deleteService(ServiceDO serviceDO, org.hibernate.Session session)`
`void` | `deleteService(java.lang.String serviceId, java.lang.String version)`
`void` | `deleteService(java.lang.String serviceId, java.lang.String version, org.hibernate.Session session)`
`ModuleDO[]` | `getEngagedModules(ServiceDO service)`
`ModuleDO[]` | `getEngagedModules(java.lang.String serviceId, java.lang.String version)`
`OperationDO[]` | `getOperations(ServiceDO service)`
`OperationDO[]` | `getOperations(java.lang.String serviceId, java.lang.String version)`
`ServiceParameterDO` | `getParameter(ServiceDO service, java.lang.String paramName)`
`ServiceParameterDO[]` | `getParameters(ServiceDO service)`
`ServiceParameterDO[]` | `getParameters(java.lang.String serviceId, java.lang.String version)`
`ServicePolicyDO[]` | `getPolicies(ServiceDO service)`
`ServicePolicyDO[]` | `getPolicies(java.lang.String serviceId, java.lang.String version)`
`ServiceUserRoleDO` | `getRole(java.lang.String roleName, org.hibernate.Session session)`
`ServiceUserRoleDO[]` | `getRoles(java.lang.String serviceId, java.lang.String version)`
`ServiceDO` | `getService(java.lang.String serviceId, java.lang.String version)`
`ServiceUserDO[]` | `getUsers(java.lang.String serviceId, java.lang.String version)`
`void` | `removeAllTrustedCertStores(ServiceDO serviceDO)`
`void` | `removeServiceRole(java.lang.String serviceId, java.lang.String version, ServiceUserRoleDO role, org.apache.axis2.description.AxisService axisService)`
`void` | `removeServiceUser(java.lang.String serviceId, java.lang.String version, ServiceUserDO user, org.apache.axis2.description.AxisService axisService)`
`void` | `updatePolicy(ServicePolicyDO servicePolicy)`
`void` | `updateService(ServiceDO service)`

Methods inherited from class org.wso2.wsas.persistence.dao.BaseDAO
`create, createOrUpdate, delete, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceDAO

    public ServiceDAO(HibernateConfig hbConfig)

Method Detail

### updateService

    public void updateService(ServiceDO service)

### getService

    public ServiceDO getService(java.lang.String serviceId,
                                java.lang.String version)

### addOperation

    public void addOperation(java.lang.String serviceId,
                             java.lang.String version,
                             OperationDO op)

### getOperations

    public OperationDO[] getOperations(java.lang.String serviceId,
                                       java.lang.String version)

### getOperations

    public OperationDO[] getOperations(ServiceDO service)

### addUser

    public void addUser(java.lang.String serviceId,
                        java.lang.String version,
                        ServiceUserDO user)

### addRole

    public void addRole(java.lang.String serviceId,
                        java.lang.String version,
                        ServiceUserRoleDO role)

### getRole

    public ServiceUserRoleDO getRole(java.lang.String roleName,
                                     org.hibernate.Session session)

### addPolicy

    public void addPolicy(java.lang.String serviceId,
                          java.lang.String version,
                          ServicePolicyDO policy)

### updatePolicy

    public void updatePolicy(ServicePolicyDO servicePolicy)
                      throws ServicePolicyNotFoundException

  Throws:
    `ServicePolicyNotFoundException`

### addParameter

    public void addParameter(java.lang.String serviceId,
                             java.lang.String version,
                             ServiceParameterDO param)

### getUsers

    public ServiceUserDO[] getUsers(java.lang.String serviceId,
                                    java.lang.String version)

### getRoles

    public ServiceUserRoleDO[] getRoles(java.lang.String serviceId,
                                        java.lang.String version)

### getPolicies

    public ServicePolicyDO[] getPolicies(java.lang.String serviceId,
                                         java.lang.String version)

### getPolicies

    public ServicePolicyDO[] getPolicies(ServiceDO service)

### getParameters

    public ServiceParameterDO[] getParameters(java.lang.String serviceId,
                                              java.lang.String version)

### getParameters

    public ServiceParameterDO[] getParameters(ServiceDO service)

### getParameter

    public ServiceParameterDO getParameter(ServiceDO service,
                                           java.lang.String paramName)

### deleteService

    public void deleteService(java.lang.String serviceId,
                              java.lang.String version)

### deleteService

    public void deleteService(java.lang.String serviceId,
                              java.lang.String version,
                              org.hibernate.Session session)

### deleteService

    public void deleteService(ServiceDO serviceDO,
                              org.hibernate.Session session)

### getEngagedModules

    public ModuleDO[] getEngagedModules(java.lang.String serviceId,
                                        java.lang.String version)

### getEngagedModules

    public ModuleDO[] getEngagedModules(ServiceDO service)

### removeServiceUser

    public void removeServiceUser(java.lang.String serviceId,
                                  java.lang.String version,
                                  ServiceUserDO user,
                                  org.apache.axis2.description.AxisService axisService)

### removeServiceRole

    public void removeServiceRole(java.lang.String serviceId,
                                  java.lang.String version,
                                  ServiceUserRoleDO role,
                                  org.apache.axis2.description.AxisService axisService)

### removeAllTrustedCertStores

    public void removeAllTrustedCertStores(ServiceDO serviceDO)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD